package com.ynet.life.sujrb.action;

import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEException;
import com.ynet.life.base.LifeAction;
import com.ynet.life.base.LifeStandard;
import com.ynet.life.base.Trace;
import com.ynet.life.file.LifeFile;
import com.ynet.life.net.ftp.FtpService;
import java.io.File;
import java.io.IOException;
import org.apache.commons.net.ftp.FTPClient;

/* loaded from: com_ynet_life_sujrb_action.jar:com/ynet/life/sujrb/action/FtpDownloadAction.class */
public class FtpDownloadAction extends LifeAction {
    private String ftpFileField;
    private boolean binaryFile;

    public String execute(Context context) throws GENEException {
        try {
            String filePath = LifeStandard.getSelfDefineSettingsValue("tempDownloadDir");
            String ftpFilePathName = (String) context.getDataValue(this.ftpFileField);
            String localFilePathName = String.valueOf(filePath) + ftpFilePathName;
            if (!new File(localFilePathName).isFile()) {
                FtpService ftpService = (FtpService) context.getService("FtpService");
                FTPClient ftpClient = null;
                try {
                    LifeFile.makeMultiDirectory(filePath, ftpFilePathName);
                    ftpClient = ftpService.initConnection();
                    ftpService.setTransferMode(ftpClient, this.binaryFile);
                    ftpService.downloadFile(ftpClient, ftpFilePathName, localFilePathName);
                    if (ftpClient != null) {
                        try {
                            ftpClient.logout();
                        } catch (IOException ex) {
                            Trace.logError("LifeAction", "FTP下载文件异常", ex);
                            throw new GENEException(ex);
                        }
                    }
                } catch (Throwable th) {
                    if (ftpClient != null) {
                        try {
                            ftpClient.logout();
                        } catch (IOException ex2) {
                            Trace.logError("LifeAction", "FTP下载文件异常", ex2);
                            throw new GENEException(ex2);
                        }
                    }
                    throw th;
                }
            }
            context.setDataValue("downloadFile", localFilePathName);
            return "0";
        } catch (GENEException e) {
            Trace.logError("LifeAction", "FTP下载文件异常", e);
            throw e;
        }
    }

    public void setFtpFileField(String ftpFileField) {
        this.ftpFileField = ftpFileField;
    }

    public void setBinaryFile(boolean binaryFile) {
        this.binaryFile = binaryFile;
    }
}
